Package de.willuhn.jameica.hbci.io

# Class AbstractDTAUSImporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractDTAUSIO
de.willuhn.jameica.hbci.io.AbstractDTAUSImporter

All Implemented Interfaces:
  `Importer`, `IO`

Direct Known Subclasses:
  `DTAUSUmsatzImporter`

public abstract class AbstractDTAUSImporter extends AbstractDTAUSIO implements Importer
Abstrakte Basis-Klasse fuer DTAUS-Import/Export.

## Constructor Summary

Constructors
Constructor
Description
`AbstractDTAUSImporter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doImport(Object context, IOFormat format, InputStream is, de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask t)`
Importiert Daten aus dem InputStream.
`protected Konto`
`findKonto(String kontonummer, String blz)`
Sucht nach dem Konto mit der angegebenen Kontonummer und BLZ.

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractDTAUSIO

`getIOFormats, getName, mapDtausToTextschluessel, mapTextschluesselToDtaus`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.io.IO

`getIOFormats, getName`

## Constructor Details

### AbstractDTAUSImporter

public AbstractDTAUSImporter()

## Method Details

### doImport

public void doImport(Object context, IOFormat format, InputStream is, de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask t) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `Importer`
Importiert Daten aus dem InputStream.

Specified by:
  `doImport` in interface `Importer`
Parameters:
  `context` - Context, der dem Importer hilft, den Zusammenhang zu erkennen, in dem er aufgerufen wurde. Das kann zum Beispiel ein Konto sein.
  `format` - das vom User ausgewaehlte Import-Format.
  `is` - der Stream, aus dem die Daten gelesen werden.
  `monitor` - ein Monitor, an den der Importer Ausgaben ueber seinen Bearbeitungszustand ausgeben kann. Der Importer muss den Import-Stream selbst schliessen!
  `t` - der `BackgroundTask`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### findKonto

protected Konto findKonto(String kontonummer, String blz) throws RemoteException, de.willuhn.util.ApplicationException
Sucht nach dem Konto mit der angegebenen Kontonummer und BLZ.

Parameters:
  `kontonummer` -
  `blz` -
Returns:
  das gefundene Konto oder wenn es nicht gefunden wurde, dann das vom Benutzer ausgewaehlte. Die Funktion liefert nie `null` sondern wirft eine ApplicationException, wenn kein Konto ausgewaehlt wurde.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`